Bug 73646 - Illegal control character in autorun message
Illegal control character in autorun message
Product: Red Hat Linux
Classification: Retired
Component: autorun (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2002-09-07 14:56 EDT by Christian Rose
Modified: 2007-04-18 12:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-01-30 09:07:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Christian Rose 2002-09-07 14:56:31 EDT
#: autorun.cc:531
#, c-format
msgid ""
"%s-%s -- the CD-ROM mounter for the lazy user\n"
"Command strings are parsed and %%P%% is replaced by the mountpoint path.\n"
"%%D%% is replaced by the device path. After that the command string will \n"
"be executed using /bin/sh -c \"command string\".\n"
"Copyright (c) 1998-2002 Harald Hoyer (Harald.Hoyer@RedHat.de).\n"
"Copyright (c) 1999-2002 Red Hat, Inc.\n"
"%s comes with ABSOLUTELY NO WARRANTY and is free software, covered\n"
"by the GNU General Public License, and you are welcome to change it\n"
"and/or distribute copies of it under certain conditions described by the\n"
"file COPYING coming with the source code."

I don't think the ^K before the copyright line should be there. Or should it?
Comment 1 Harald Hoyer 2002-09-19 04:15:55 EDT
^K should be there...

libc info page for argp:
A two part documentation string (in the variable DOC), which allows
documentation both before and after the options; the two parts of DOC are
separated by a vertical-tab character ('\v', or '\013').

In the source code there is the string "\v", but for the .po file generation, it
seemed to be translated..
Comment 2 Christian Rose 2002-09-19 06:50:50 EDT
In any case, placing this type of control characters inside messages marked for
gettext translation is very broken. It's easy to miss this type of control
character, it's easy to "translate" it into something else, and there's no point
in having this control character marked for translation in the first place,
since it presumably shouldn't be translated per se.
My proposed solution is to split this message into several smaller ones (one per
paragraph), which wouldn't just make this large message easier to translate but
also would allow the control character to be moved outside of the gettext call.
Comment 3 Göran Uddeborg 2002-09-19 16:46:23 EDT
It could be tricky to split this message into smaller parts since it probably is
a static, compile-time assigned structure.  But it would help the translator if
a comment mentioned that the ^K is indeed intentional and should be kept at that
position.  There is some way to format comments so that gettext forwards them to
the po files; I keep forgetting the details though.
Comment 4 Harald Hoyer 2002-09-20 06:03:35 EDT
though not critical, I will change this in the next version and keep that in mind...
Comment 5 Harald Hoyer 2003-01-30 09:07:32 EST
fixed in 3.5

Note You need to log in before you can comment on or make changes to this bug.